import { FrontendSchemaService, StoreRegistry } from "@smallstack/common-components";
import { NotificationService } from "@smallstack/i18n-components";
import { SmallstackTypeSchema } from "@smallstack/typesystem";
import { BaseWidgetComponent } from "@smallstack/widget-core";
import * as i0 from "@angular/core";
export declare class TypeFormWidgetComponent extends BaseWidgetComponent {
    private storeRegistry;
    private notificationService;
    protected typeSchema: SmallstackTypeSchema;
    protected formValue: any;
    private formComponent;
    constructor(schemaService: FrontendSchemaService, storeRegistry: StoreRegistry, notificationService: NotificationService);
    protected save(): () => Promise<void>;
    handleSocketData(socketName: string, data?: unknown): Promise<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TypeFormWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TypeFormWidgetComponent, "smallstack-type-form-widget", never, {}, {}, never, never, true, never>;
}
